Bug 1015209 - [Localization] Missing translations
[Localization] Missing translations
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Vratislav Podzimek
Release Test Team
:
Depends On:
Blocks: 1016167 1016195 1025029
  Show dependency treegraph
 
Reported: 2013-10-03 12:13 EDT by Tomas Capek
Modified: 2014-06-17 21:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-19.31.44-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1016167 1016195 (view as bug list)
Environment:
Last Closed: 2014-06-13 06:18:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Capek 2013-10-03 12:13:25 EDT
Even though some text strings are not provided directly by anaconda, some translations are missing during installation. I found the following but there might be more:

Spoke             - Strings
-------------------------------------------------------------------
Time/Date         - Regions for time zones
Time/Date         - Cities
Keyboard          - Shortcuts in the Layout Switching Options dialog
Inst.Source       - the "New Repository" string (when you click "+")
SW Selection      - descriptions of Environments and some Add-ons
Inst. Destination - help for manual partitioning
Comment 2 David Shea 2013-10-03 14:09:23 EDT
Regions and Cities for timezones come from pytz, which does not provide any translation support. Might need to file a bug against the pytz package?

Keyboard shortcut translations are provided by xkeyboard-config. Translations are present on the install media, anaconda needs some changes in order to use them.

"New Repository" is not currently marked as translatable in anaconda. Need to make sure that non-ASCII characters won't break anything in wherever we use that string.

Environment and add-on translations come from comps.

In manual partition, what exactly isn't translated, and in what language? I just tried it in Spanish and everything looks ok, so that might just be a case of missing translations.

So: 3, 4, and maybe 6 are anaconda's fault. Please file separate bugs with exactly what was missing for 1+2 (pytz) and 5 (releng), and let us know what was missing in 6.
Comment 3 Tomas Capek 2013-10-07 11:32:59 EDT
Re: 6) - I just checked Spanish in 19.31.21-1 and the translation was not there for me:

Click the Inst.Destination spoke - select a disk, click Done - select "I want to review...", click Continue - in the button bar (lower-left corner), click the rightmost Help icon - contents of the dialogue window are untranslated.

Okay, I'll clone the rest of it and make this BZ a tracker bug.
Comment 4 David Shea 2013-10-07 13:45:17 EDT
I see what you're talking about now for 6: the string starting with "You have chosen to manually set up the filesystems" is marked for translation, and there is a Spanish translation available (Ha elegido configurar manualmente los sistemas de archivos...), it's just that anaconda is never actually doing the translation. So that one should be easy. Thanks for catching all of this.
Comment 5 Vratislav Podzimek 2013-10-16 10:18:04 EDT
(In reply to David Shea from comment #2)
> Regions and Cities for timezones come from pytz, which does not provide any
> translation support. Might need to file a bug against the pytz package?
Those translations should be in recent versions of the 'langtable' package. We could pull them from there.
Comment 6 Vratislav Podzimek 2013-11-05 07:36:30 EST
Patch adding translations of cities and regions posted to anaconda-patches.
Comment 7 Vratislav Podzimek 2013-12-16 10:30:36 EST
I believe we have all issues identified as anaconda bugs resolved on master branch. Martin, are you guys willing to test the changes if they are ported to rhel7-branch? If yes, please set the qa_ack+ flag.
Comment 8 Martin Banas 2013-12-17 03:35:54 EST
RTT is able to verify all of the mentioned issues which are going to be fixed in this bug:

Time/Date         - Regions for time zones
Time/Date         - Cities
Keyboard          - Shortcuts in the Layout Switching Options dialog
Inst. Destination - help for manual partitioning
Comment 9 Vratislav Podzimek 2014-01-08 09:14:06 EST
Timezone translations require a new version of the langtable package. Mike, could you please build new langtable with timezone translations available? On master we require langtable >= 0.18-1.
Comment 10 Mike FABIAN 2014-01-09 11:11:46 EST
I cherry-picked the changes to add translation support for the timezones
and a fix for the Chinese translations from langtable master.

A build is here:

http://brewweb.devel.redhat.com/brew/taskinfo?taskID=6834326
Comment 11 Vratislav Podzimek 2014-01-13 08:35:24 EST
(In reply to Mike FABIAN from comment #10)
> I cherry-picked the changes to add translation support for the timezones
> and a fix for the Chinese translations from langtable master.
> 
> A build is here:
> 
> http://brewweb.devel.redhat.com/brew/taskinfo?taskID=6834326
THANKS! Pushing the Anaconda patch.
Comment 14 Tomas Capek 2014-03-27 12:45:42 EDT
Me and Vrata checked in Transifex that Anaconda is mostly translated for a lot of languages, except for the help to manually partition storage space.

So the help is not translated but it is also somewhat out of date; for example the "Apply changes" button mentioned in the help is now "Update Settings" in GUI.

The text also contains minor issues regarding grammar and style from the perspective of ECS.

I suggest we review and amend the help text before uploading it to Transifex and communicating with the translation team to process it.
Comment 15 Ludek Smid 2014-06-13 06:18:51 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.